Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"

From: Gregory Heytings <[email-masked]>
Date: Mon, 05 Sep 2022 12:00:12 +0000

>> (BTW, this also means that the OP could solve his problem by using 
>> "eo.UTF-8" for his locale instead of only "eo".)
>
> That was suggested, but rejected, because the system in question (or 
> maybe any GNU/Linux system?) doesn't have such a locale.
>

That was probably a misinterpretation of the OP.  I'd bet that it would 
work, even though, as Lars observed, the exact string "eo.UTF-8" does not 
appear in /etc/locale.gen for example.

>
> But AFAIU locale.alias should have told Emacs which encoding is 
> appropriate for "eo".
>

If Emacs relies on locale.alias, Latin-3 will be chosen.  The "eo" locale 
follows what other locales do, without ".UTF-8" the legacy encoding is 
used.  E.g. "en_US" is Latin-1 here but "en_US.UTF-8" is UTF-8, and 
likewise "tr_TR" is Latin-9 but "tr_TR.UTF-8" is UTF-8.

>
> Andreas asked the OP what does locale.alias say about that, but I saw no 
> response yet.
>
> What does "grep ^eo /usr/share/X11/locale/locale.alias" say on your 
> system?
>

eo						eo_XX.ISO8859-3
eo_XX						eo_XX.ISO8859-3
eo:						eo_XX.ISO8859-3
eo_XX:						eo_XX.ISO8859-3